<?php
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.event.plugin' );

class plgSystemContentProtection extends JPlugin {

	function plgSystemContentProtection( &$subject, $config ) {
		parent::__construct( $subject, $config );
	}

	function onAfterDispatch() {
		$uri = JRequest::getURI();
		if( strpos( 'J'. $uri, 'administrator/' ) ){
			return;
		}
		
		$plugin =& JPluginHelper::getPlugin( 'system', 'contentprotection' );
 		$params = new JParameter( $plugin->params );

		$message = trim( $params->get( 'message' ) );
		$show_message = trim( $params->get( 'show_message' ) );
		$disallow_r_click = trim( $params->get( 'disallow_r_click' ) );
		$disallow_copy = trim( $params->get( 'disallow_copy' ) );

		$comment = "";
		if( $show_message )
			$comment = "//";
			

		$r_click = " function clickExplorer() {
						if( document.all ) {
							${comment}alert('$message');
						}
						return false;
					}

					function clickOther(e) {
						if( document.layers || ( document.getElementById && !document.all ) ) {
							if ( e.which == 2 || e.which == 3 ) {
								${comment}alert('$message');
								return false;
							}
						}
					}
					if( document.layers ) {
						document.captureEvents( Event.MOUSEDOWN );
						document.onmousedown=clickOther;
					}
					else {
						document.onmouseup = clickOther;
						document.oncontextmenu = clickExplorer;
					} ";
		$script = " window.onload = function() { document.body.oncopy = function() { ${comment}alert('$message'); 
					";
		if( $disallow_copy )
			$script .= " return false; } }  
						 if( typeof( document.onselectstart ) != 'undefined' )
							document.onselectstart = function(){ return false };
						 document.ondragstart = function(){ return false } ";
		else
			$script .= " } } ";
	
		$doc =& JFactory::getDocument();
		if( $disallow_r_click )
			$doc->addScriptDeclaration( $r_click );
		$doc->addScriptDeclaration( $script );
		
	}
}

?>